1. 支付网关
TrustPay
zh
  • en
  • zh
  • 接入说明
  • 支付网关
    • 支付风控接口 - 商户接入指南
    • 枚举类型说明
    • 支付回调说明
    • C21 支持区域
      • TrustPay API 与 Checkout 支持的国家和 US/CA 州省
    • 卡直付
      POST
    • 收银台
      POST
    • 支付回调通知
      POST
    • 余额查询
      POST
    • 订单查询
      POST
    • 订单退款
      POST
    • 费率查询
      POST
  • 信用卡开卡
    • 查询可用卡类型
      POST
    • 开通虚拟卡
      POST
    • 开卡/充值回调通知
      POST
    • 获取虚拟卡详情
      POST
    • 虚拟卡充值
      POST
    • 订单列表查询
      POST
    • 虚拟卡列表查询
      POST
    • 卡片列表
      POST
    • 流水查询
      POST
    • 费率查询
      POST
  • 实体卡
    • 创建持卡人
      POST
    • 持卡人列表
      POST
    • 绑定持卡人
      POST
    • 持卡人绑定列表
      POST
    • 查询实体卡余额
      POST
    • 查询交易记录
      POST
    • 查询账户
      POST
    • 实体卡充值
      POST
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. 支付网关

卡直付

POST
/v4/payin/create/card
创建银行卡直接代收(收款)订单。

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v4/payin/create/card' \
--header 'Content-Type: application/json' \
--data-raw '{
    "merchant_id": 8820250900009,
    "order_no": "local-test-2",
    "order_amount": 20,
    "currency": "USD",
    "notify_url": "https://rbaskets.trustpay.money/checkout",
    "card_number": "4111111111111117",
    "card_expiry": "2028-09",
    "card_cvv": "123",
    "card_holder_first_name": "Test",
    "card_holder_last_name": "User",
    "card_holder_email": "test@example.com",
    "card_holder_phone": "1234567890",
    "billing_address_street": "123 Main St",
    "billing_city": "Los Angeles",
    "billing_postal_code": "90001",
    "billing_state": "",
    "billing_country": "US",
    "sign": "xxxx"
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "order_no": "46384ec4-3c8e-4eb2-9e52-69ebd6bcc429",
        "platform_order_no": "BW8i5ll0mle5cro4UmU55b2G",
        "currency": "USD",
        "order_amount": 10,
        "paid_amount": 10,
        "fee": 2.5,
        "status": 5,
        "reason": ""
    }
}
Modified at 2026-05-15 07:23:06
Previous
TrustPay API 与 Checkout 支持的国家和 US/CA 州省
Next
收银台
Built with